View Issue Details

IDProjectCategoryView StatusLast Update
0000034OpenFOAM[All Projects] Bugpublic2010-09-13 17:36
Reporteruser17Assigned Tohenry 
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSFedoraOS Version13
Product Version 
Fixed in Version 
Summary0000034: Request for member ‘write’ is ambiguous for an IOdictionary
DescriptionThe write() member function for an IOdictionary is inherited from both regIOobject and dictionary.

Do you consider these to be bugs? Obviously the user can use the full namespace. For example:

testDictionary.Foam::regIOobject::write();
testDictionary.Foam::dictionary::write(Info,false);
Steps To ReproduceIOdictionary testDictionary
(
    IOobject
    (
        "testDictionary",
        runTime.time().constant(),
        runTime,
        IOobject::MUST_READ,
        IOobject::NO_WRITE
    )
);
    
testDictionary.write();

Compiling the above gives the error:

error: request for member ‘write’ is ambiguous
candidates are:
void Foam::dictionary::write(Foam::Ostream&, bool) const
virtual bool Foam::regIOobject::write() const
TagsInput/output

Activities

henry

2010-09-11 12:06

manager   ~0000033

Fixed in OpenFOAM-1.7.x: commit 17f1de3bdaf596dcbeeab83e07d7dcfc2bef8693

Issue History

Date Modified Username Field Change
2010-09-10 15:44 user17 New Issue
2010-09-10 15:50 user2 Assigned To => henry
2010-09-10 15:50 user2 Status new => assigned
2010-09-11 12:06 henry Note Added: 0000033
2010-09-11 12:06 henry Status assigned => resolved
2010-09-11 12:06 henry Resolution open => fixed
2010-09-13 17:36 user2 Tag Attached: Input/output